Ruby On Rails trouble: generate user model

Discussion in 'Web Design and Development' started by fishinatree, Jul 11, 2008.

  1. fishinatree macrumors newbie

    Joined:
    Jun 7, 2008
    Location:
    Santa Rosa, CA
    #1
    I"m running Ruby 1.8.6 and Rails 2.1.0 on OS X 10.5, and I'm trying to create a user model for a web based app. I use "cd ibbabble" to get into the directory where I'm building the project and then type "ruby script/generate model User" but I get the following output:
    Code:
    Macintosh-2:ibbabble gabefierro$ ruby script/generate model user
    /Library/Ruby/Gems/1.8/gems/activerecord-2.1.0/lib/active_record/connection_adapters/abstract/connection_specification.rb:218:in `establish_connection': development database is not configured (ActiveRecord::AdapterNotSpecified)
    	from /Library/Ruby/Gems/1.8/gems/activerecord-2.1.0/lib/active_record/connection_adapters/abstract/connection_specification.rb:209:in `establish_connection'
    	from /Library/Ruby/Gems/1.8/gems/rails-2.1.0/lib/initializer.rb:332:in `initialize_database'
    	from /Library/Ruby/Gems/1.8/gems/rails-2.1.0/lib/initializer.rb:120:in `process'
    	from /Library/Ruby/Gems/1.8/gems/rails-2.1.0/lib/initializer.rb:93:in `send'
    	from /Library/Ruby/Gems/1.8/gems/rails-2.1.0/lib/initializer.rb:93:in `run'
    	from /Users/gabefierro/ibbabble/config/environment.rb:13
    	from /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require'
    	from /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/rubygems/custom_require.rb:27:in `require'
    	from /Library/Ruby/Gems/1.8/gems/rails-2.1.0/lib/commands/generate.rb:1
    	from /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require'
    	from /System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/lib/ruby/1.8/rubygems/custom_require.rb:27:in `require'
    	from script/generate:3
    
    Can anyone tell me what I'm doing wrong and/or what I can do to make it work? I have RadRails, so if there's a way to create it using that, info would be very helpful. Thanks!

    |fishinatree|
     
  2. Hates macrumors regular

    Joined:
    Jul 10, 2008
    Location:
    London, UK
    #2
    It's failling to connect to your local development database. Configure it in config/database.rb.
     

Share This Page